Bug 25896 - [Gtk] Implement accessible text interface for objects of role PASSWORD_TEXT
Summary: [Gtk] Implement accessible text interface for objects of role PASSWORD_TEXT
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2009-05-20 15:15 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2009-07-17 01:52 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2009-05-20 15:15:07 PDT
Steps to reproduce:

1. Open the test case (https://bugs.webkit.org/attachment.cgi?id=30170&action=view)

2. Examine the accessible associated with the password field in Accerciser.

Expected results: The accessible text interface would be implemented (similar to what has been done for objects of role ENTRY).

Actual results: The accessible text interface is not implemented.

Usage/Need: Screen readers such as Orca need to be able to present the number of characters displayed, indicate when the caret has moved, confirm when text has been inserted or removed, etc.
Comment 1 Mario Sanchez Prada 2009-07-16 15:03:34 PDT
This looks fixed in trunk (git commit ID 5e4b39b07aa0abb24b5c219cf39d605343368f54).
Comment 2 Joanmarie Diggs (irc: joanie) 2009-07-16 15:22:51 PDT
(In reply to comment #1)
> This looks fixed in trunk (git commit ID
> 5e4b39b07aa0abb24b5c219cf39d605343368f54).

That one snuck past me. Confirmed. Thanks!!